
courses_module_create:
    path:     /create
    defaults: { _controller: CoursesBundle:Module:create }

courses_module_settings:
    path:     /settings/{id}
    defaults: { _controller: CoursesBundle:Module:settings }

courses_module_add_lesson:
    path:     /{id}/add-lesson
    defaults: { _controller: CoursesBundle:Module:addLesson }

courses_module_list_lessons:
    path:     /settings/{id}/list-lessons
    defaults: { _controller: CoursesBundle:Module:listLessons }

courses_module_active:
    path:     /{id}/active
    defaults: { _controller: CoursesBundle:Module:active }

courses_module_setting_retry:
    path:     /module/setting-retry
    defaults: { _controller: CoursesBundle:Module:settingRetry }

courses_module_setting_duration:
    path:     /module/setting-duration
    defaults: { _controller: CoursesBundle:Module:settingDuration }

#hack route
courses_module_index:
    path:     /
    defaults:
      _controller: CoursesBundle:Module:index
      filtre_active: true

courses_module_index_desactive:
    path:     /index_desactive
    defaults:
      _controller: CoursesBundle:Module:index
      filtre_active: false

courses_module_index_json:
    path:     /index_json
    defaults: { _controller: CoursesBundle:Module:jsonlist }

courses_module_edit:
    path:     /edit/{id}
    defaults: { _controller: CoursesBundle:Module:edit }


courses_module_list_freelessons:
    path:     /{id}/list-free-lessons
    defaults: { _controller: CoursesBundle:Module:listFreeLessons }

courses_module_add_lessons:
    path:     /{id}/add-lessons
    defaults: { _controller: CoursesBundle:Module:addLessons }

# TODO: supprimer si inutilisé
courses_modules_settings_refresh_lesson:
    path:     /refresh-lesson/{id}
    defaults: { _controller: CoursesBundle:Lecon:refreshLesson }

courses_module_remove_lesson:
    path:     /remove-lesson/{id}
    defaults: { _controller: CoursesBundle:Module:removeLesson }

courses_module_lesson_order_update:
    path: /{id}/order-lessons
    defaults: { _controller: CoursesBundle:Module:orderLessons }

#TODO: est-ce toujours d'actualité ? Sinon, supprimer
courses_module_list_exercice:
    path:     /lesson/{id}/listExercices
    defaults: { _controller: CoursesBundle:Module:listExercices }
